GCLOUD_COMPUTE_DISKS_UPDATE(1)

NAME

gcloud compute disks update - update a Google Compute Engine persistent disk

SYNOPSIS

gcloud compute disks update DISK_NAME [--remove-labels=[KEY,...]] [--update-labels=[KEY=VALUE,...]] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute disks update updates a Google Compute Engine persistent disk. For example:
    $ gcloud compute disks update example-disk --zone us-central1-a \
      --update-labels=k0=value1,k1=value2 --remove-labels=k3
will add/update labels k0 and k1 and remove labels with key k3. Labels can be used to identify the disk and to filter them as in
    $ gcloud compute disks list --filter='labels.k1:value2'
To list existing labels
    $ gcloud compute disks describe example-disk \
        --format='default(labels)'

POSITIONAL ARGUMENTS

    DISK_NAME
        The name of the disk to update.

FLAGS

    --remove-labels=[KEY,...]
        A list of label keys to remove. If a label does not exist it is silently ignored.

    --update-labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to update. If a label exists its value is modified, otherwise a new label is created.

    --zone=ZONE
        The zone of the disk to update. If not specified, you may be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.